Apache HTTP Server Request Library

Macros | Functions
apreq_version.h File Reference
Apache Request Library

Versioning API for libapreq. More...

`#include "apr_version.h"`
`#include "apreq.h"`

Go to the source code of this file.

## Macros

#define | APREQ_MAJOR_VERSION 2
#define | APREQ_MINOR_VERSION 8
#define | APREQ_PATCH_VERSION 1
#define | APREQ_VERSION_STRING
#define | APREQ_IS_DEV_STRING ""

## Functions

void | apreq_version (apr_version_t *pvsn)
const char * | apreq_version_string (void)

## Detailed Description

Versioning API for libapreq.

There are several different mechanisms for accessing the version. There is a string form, and a set of numbers; in addition, there are constants which can be compiled into your application, and you can query the library being used for its actual version.

Note that it is possible for an application to detect that it has been compiled against a different version of libapreq by use of the compile-time constants and the use of the run-time query function.

libapreq version numbering follows the guidelines specified in:

    http://apr.apache.org/versioning.html

## Macro Definition Documentation

## ◆ APREQ_IS_DEV_STRING

#define APREQ_IS_DEV_STRING ""

Internal: string form of the "is dev" flag

## ◆ APREQ_MAJOR_VERSION

#define APREQ_MAJOR_VERSION 2

major version Major API changes that could cause compatibility problems for older programs such as structure size changes. No binary compatibility is possible across a change in the major version.

## ◆ APREQ_MINOR_VERSION

#define APREQ_MINOR_VERSION 8

Minor API changes that do not cause binary compatibility problems. Should be reset to 0 when upgrading APREQ_MAJOR_VERSION

## ◆ APREQ_PATCH_VERSION

#define APREQ_PATCH_VERSION 1

patch level

## ◆ APREQ_VERSION_STRING

#define APREQ_VERSION_STRING

Value:
APR_STRINGIFY(APREQ_MAJOR_VERSION) "." \
APR_STRINGIFY(APREQ_MINOR_VERSION) "." \
APR_STRINGIFY(APREQ_PATCH_VERSION) \
APREQ_IS_DEV_STRING
APREQ_PATCH_VERSION
#define APREQ_PATCH_VERSION
Definition: apreq_version.h:65
APREQ_MINOR_VERSION
#define APREQ_MINOR_VERSION
Definition: apreq_version.h:62
APREQ_MAJOR_VERSION
#define APREQ_MAJOR_VERSION
Definition: apreq_version.h:56

This symbol is defined for internal, "development" copies of libapreq. This symbol will be #undef'd for releases. The formatted string of libapreq's version

## Function Documentation

## ◆ apreq_version()

void apreq_version | ( | apr_version_t * | pvsn | ) |

Return libapreq's version information information in a numeric form.

Parameters

  pvsn | Pointer to a version structure for returning the version information.

## ◆ apreq_version_string()

const char* apreq_version_string | ( | void |  | ) |

Return libapreq's version information as a string.